---
author: ~alexlehm
published: true
title: getting started with weechat on a tilde machine
description: run weechat as a local irc client
category:
    - main
---

If you want to run irc on your tilde account, you can use weechat
which is installed and requires minimal configuration.

## First connection

Start weechat on your linux shell and type the following commands:

    /server add tilde irc.tilde.chat/6697 -ssl
    /connect tilde

This will connect you to the irc network via a secure connection. The
username used is the same as your linux account, this is should be
unique, if it is not you will be called username1 or similar, then you
should chose another nickname. You do that by using the /nick command

    /nick newusername

(If you didn't chose a username that is unique in the tilde network,
you had kind of bad luck.)

## Register

You now can register your username using your tilde email address as
described here: [intro to nicks](nicks.html)

## Setting login credentials

After you have done that, you can set the username and password in the
weechat settings to automatically log in and authenticate

    /set irc.server.tilde.sasl_username <username>
    /set irc.server.tilde.sasl_password <password>

Or to store the password securely (which is preferred), you can use
secure settings like this

    /secure passphrase <passphrase>
    /secure set tilde_password <password>
    /set irc.server.tilde.sasl_password "${sec.data.tilde_password}"

Then the client will ask you for the passphrase when starting.

Now disconnect and connect again to get your registered nickname

    /quit

run **weechat** again and then connect with

    /connect tilde

## What now

Now you can join any channel, e.g. **#helpdesk**

You can set various parameters, e.g. to set your real name displayed
in /whois you can use

    /set irc.server.tilde.realname "My real name"

You can join multiple channels with /j #channel or start private
conversatins with /msg nickname and navigate between the different
windows with Control-n and Control-p

To automatically connect to the tilde server on startup use

    /set irc.server.tilde.autoconnect on

For more information about the program, see the
[manual](https://weechat.org/files/doc/stable/weechat_user.en.html)

